/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.oauth2.provider.scope.liferay.spi;

import com.liferay.oauth2.provider.scope.spi.scope.descriptor.ScopeDescriptor;

import org.osgi.annotation.versioning.ProviderType;

/**
 * @author Carlos Sierra Andrés
 */
@ProviderType
public interface ScopeDescriptorLocator {

	public ScopeDescriptor getScopeDescriptor(long companyId);

	public ScopeDescriptor getScopeDescriptor(
		long companyId, String applicationName);

	/**
	 * @deprecated As of Mueller (7.2.x)
	 */
	@Deprecated
	public ScopeDescriptor getScopeDescriptor(String applicationName);

}